al_fixatan(3)

NAME

al_fixatan - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    al_fixed al_fixatan(al_fixed x)

DESCRIPTION

This function finds the inverse tangent of a value using a lookup table. The input must be a fixed point value. The inverse tangent is the value whose tangent is x.

Example:

    al_fixed result;
    /* Sets result to binary angle 13. */
    result = al_fixatan(al_ftofix(0.326));

RETURN VALUE

Returns the inverse tangent of a fixed point value, measured as a fixed point binary format angle.